package com.ffii.fhsmsc.modules.user.req;

import java.util.List;

import jakarta.validation.constraints.NotNull;

public class SaveGroupReq {
  private Long id;

  @NotNull
  private String name;
  private String description;

  @NotNull
  private List<Long> addUserIds;
  @NotNull
  private List<Long> removeUserIds;

  @NotNull
  private List<Long> addAuthIds;
  @NotNull
  private List<Long> removeAuthIds;

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public List<Long> getAddUserIds() {
    return addUserIds;
  }

  public void setAddUserIds(List<Long> addUserIds) {
    this.addUserIds = addUserIds;
  }

  public List<Long> getRemoveUserIds() {
    return removeUserIds;
  }

  public void setRemoveUserIds(List<Long> removeUserIds) {
    this.removeUserIds = removeUserIds;
  }

  public List<Long> getAddAuthIds() {
    return addAuthIds;
  }

  public void setAddAuthIds(List<Long> addAuthIds) {
    this.addAuthIds = addAuthIds;
  }

  public List<Long> getRemoveAuthIds() {
    return removeAuthIds;
  }

  public void setRemoveAuthIds(List<Long> removeAuthIds) {
    this.removeAuthIds = removeAuthIds;
  }

}
